# layer_motionblur.cpp File Reference

Implementation of the "Motion Blur" layer. More...

`#include "string.h"`
`#include "layer_motionblur.h"`
`#include "time.h"`
`#include "context.h"`
`#include "paramdesc.h"`
`#include "renddesc.h"`
`#include "surface.h"`
`#include "value.h"`
`#include "valuenode.h"`
`#include "canvas.h"`

## Functions

| SYNFIG_LAYER_INIT (Layer_MotionBlur)
| SYNFIG_LAYER_SET_NAME (Layer_MotionBlur,"MotionBlur")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_MotionBlur, N_("Motion Blur"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_MotionBlur, N_("Blurs"))
| SYNFIG_LAYER_SET_VERSION (Layer_MotionBlur,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Layer_MotionBlur,"$Id$")

## Detailed Description

Implementation of the "Motion Blur" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_MotionBlur |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_MotionBlur | ,
|  | "MotionBlur" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_MotionBlur | ,
|  | N_("Motion Blur") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_MotionBlur | ,
|  | N_("Blurs") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_MotionBlur | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_MotionBlur | ,
|  | "$Id$" |  |
| ) |  |  |